#### Previous topic

scipy.linalg.diagsvd

#### Next topic

scipy.linalg.cholesky

# scipy.linalg.orth

`scipy.linalg.``orth`(A)

  Construct an orthonormal basis for the range of A using SVD

  Parameters:

  A : (M, N) array_like

  > Input array

  Returns:

  Q : (M, K) ndarray

  > Orthonormal basis for the range of A. K = effective rank of A, as determined by automatic cutoff

  See also

  `svd`
    Singular value decomposition of a matrix